package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CheckEnterprice;

import java.util.List;
import java.util.Map;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
public interface CheckEnterpriceService extends IService<CheckEnterprice> {

    List<CheckEnterprice> getCheckEnterpriceByCheckPlanId(String checkPlanId);

    IPage getCheckEnterpricePageDataByCheckPlanId(Page page,String checkPlanId,String cmp_name,String epc,String checkStatus);

    IPage<CheckEnterprice> getPageScope(Page page, CheckEnterprice checkEnterprice);

    IPage<Map<String,Object>> queryListByCmp(Page page, CheckEnterprice checkEnterprice);

    boolean upload(String uuid, CheckEnterprice checkEnterprice,String type);

    boolean upload1(String uuid, CheckEnterprice checkEnterprice);
}

